Bug 182063 - Request to apply 4.4.3 ref count fix for Python Key() method to 4.4.2 RPM
Request to apply 4.4.3 ref count fix for Python Key() method to 4.4.2 RPM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-19 21:18 EST by Dennis Gregorovic
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 03:52:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch from rpm 4.4.3 that fixes the reference counting in the Key() method (413 bytes, patch)
2006-02-19 21:18 EST, Dennis Gregorovic
no flags Details | Diff

  None (edit)
Description Dennis Gregorovic 2006-02-19 21:18:33 EST
In rpm < 4.4.3 there is a bug in the Key() method of python/rpmte-py.c. In my
sample code, when Key() is called twice in a row, the following output is seen:

(<rpm.hdr object at 0xb79f33e0>, '../strace-4.5.11-1.i386.rpm')
(<refcnt 0 at 0xb79e1b8c>, '../strace-4.5.11-1.i386.rpm')

This causes the Key() method to not be usable.  However, I would like to have it
working in FC5 to facilitate the addition of transaction logging to Yum.  I'll
attach a patch from rpm-4.4.3 for consideration.
Comment 1 Dennis Gregorovic 2006-02-19 21:18:33 EST
Created attachment 124877 [details]
patch from rpm 4.4.3 that fixes the reference counting in the Key() method
Comment 2 Jeff Johnson 2006-02-20 17:43:48 EST
UPSTREAM so I don't have to stare at my own damn patches.
Comment 3 Paul Nasrat 2006-02-20 18:22:08 EST
Jeff please can you not close fedora bugs.
Comment 4 Jeff Johnson 2006-02-21 07:26:39 EST
This is also rpm bugzilla, and UPSTREAM is a valid closure.

Take away my bug closing privileges, and me and rpm are gone, if you wish bugzilla to be Fedora's only.

I find it quite ironic that my fix, and my patch delivered to dgregor, and my closing an rpm bug as 
UPSTREAM are somehow at odds with each other.
Comment 5 Paul Nasrat 2006-02-21 10:33:58 EST
If a bug is being filed against a Fedora or RHEL release, then although
CLOSED->UPSTREAM is accurate of the upstream state, I may still need to track
that bug against that release.
Comment 6 Panu Matilainen 2007-06-05 08:20:39 EDT
Fix committed to rpm.org tree.
Comment 7 Panu Matilainen 2007-06-26 03:52:04 EDT
Fixed in next rawhide push by rpm 4.4.2.1-rc1 

Note You need to log in before you can comment on or make changes to this bug.